* {
    margin: 0;
    padding: 0;
}

body {
    overflow-x: hidden;
    background-color: #2e2b2b;
    color: white;
    font-family: system-ui;
}

.contenedor {
    margin: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid white;
    border-radius: 10px;
}

.calculadora,.resultados {
    display: flex;
    width: 100%;
    margin: 10px;
    justify-content: space-evenly;
}

.opcion-calculadora {
    margin: 20px;
    display: flex;
    flex-direction: column;
    border: 2px solid #2f53b6;
    padding: 15px;
    border-radius: 10px;
    width: 300px;
    justify-content: space-around;
}
.opcion-input {
    margin: 7px 0;
    border: 2px solid transparent;
    border-radius: 4px;
    height: 15px;
    transition: all .3s ease;
    padding: 5px 10px;
    background-color: #f3efef;
    font-size: 16px;
}
.opcion-input:focus{
    outline: 0;
    background-color: white;
}
.opcion-input:hover {
    border: 2px solid #355dcc;
    background-color: white;
}
.heading-text{
    margin: 30px 10px;
}
.calcular-btn, .reset-btn{
    padding: 7px 0;
    border: 0;
    border-radius: 10px;
    margin: 10px 0;
    cursor: pointer;
    background-color: #1d46b9;
    color: white;
    font-family: system-ui;
    font-size: 1rem;
    transition: all .3 ease;
}
.reset-btn{
    background-color: #aa1a1a;
}
.reset-btn:hover{
    background-color: #d31f1f;
}
.calcular-btn:hover{
    background-color: #1e51db;
}
.peso-rm-resultado,.resultado70,.resultado80{
    color: #1ec9c9; ;
}
.btn__to__top {
    all: unset;
    position: fixed;
    bottom: 10px;
    right: 10px;
    background-color: #1d46b9;
    color: white;
    padding: 12px 15px;
    border-radius: 50%;
    border: none;
    font-size: 1.2rem;
    display: none;
    cursor: pointer;
    z-index: 1000;
}
@media (max-width:800px) {
    .calculadora,.resultados {
        flex-wrap: wrap;
    }
    .btn__to__top{
        display: block;
    }
}
@media (max-width:600px) {
    .heading-text {
        font-size: 4.5vw;
    }
}